org.wildfly.swarm.transactions

## Class TransactionsFraction

- java.lang.Object
- - org.wildfly.swarm.config.Transactions<TransactionsFraction>
  - - org.wildfly.swarm.transactions.TransactionsFraction

- All Implemented Interfaces:
    Fraction<TransactionsFraction>

      public class TransactionsFraction
      extends Transactions<TransactionsFraction>
      implements Fraction<TransactionsFraction>

  Author:
    Bob McWhirter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Transactions

      `Transactions.TransactionsResources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionsFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionsFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static TransactionsFraction` | `createDefaultFraction()`
    `int` | `port()`
    `TransactionsFraction` | `port(int port)`
    `int` | `statusPort()`
    `TransactionsFraction` | `statusPort(int statusPort)`

    - ### Methods inherited from class org.wildfly.swarm.config.Transactions

      `addPropertyChangeListener, averageCommitTime, averageCommitTime, commitMarkableResource, commitMarkableResource, commitMarkableResource, commitMarkableResource, commitMarkableResources, defaultTimeout, defaultTimeout, enableStatistics, enableStatistics, enableTsmStatus, enableTsmStatus, getKey, hornetqStoreEnableAsyncIo, hornetqStoreEnableAsyncIo, jdbcActionStoreDropTable, jdbcActionStoreDropTable, jdbcActionStoreTablePrefix, jdbcActionStoreTablePrefix, jdbcCommunicationStoreDropTable, jdbcCommunicationStoreDropTable, jdbcCommunicationStoreTablePrefix, jdbcCommunicationStoreTablePrefix, jdbcStateStoreDropTable, jdbcStateStoreDropTable, jdbcStateStoreTablePrefix, jdbcStateStoreTablePrefix, jdbcStoreDatasource, jdbcStoreDatasource, journalStoreEnableAsyncIo, journalStoreEnableAsyncIo, jts, jts, logStore, logStore, logStore, logStore, nodeIdentifier, nodeIdentifier, numberOfAbortedTransactions, numberOfAbortedTransactions, numberOfApplicationRollbacks, numberOfApplicationRollbacks, numberOfCommittedTransactions, numberOfCommittedTransactions, numberOfHeuristics, numberOfHeuristics, numberOfInflightTransactions, numberOfInflightTransactions, numberOfNestedTransactions, numberOfNestedTransactions, numberOfResourceRollbacks, numberOfResourceRollbacks, numberOfSystemRollbacks, numberOfSystemRollbacks, numberOfTimedOutTransactions, numberOfTimedOutTransactions, numberOfTransactions, numberOfTransactions, objectStorePath, objectStorePath, objectStoreRelativeTo, objectStoreRelativeTo, processIdSocketBinding, processIdSocketBinding, processIdSocketMaxPorts, processIdSocketMaxPorts, processIdUuid, processIdUuid, recoveryListener, recoveryListener, removePropertyChangeListener, socketBinding, socketBinding, statisticsEnabled, statisticsEnabled, statusSocketBinding, statusSocketBinding, subresources, useHornetqStore, useHornetqStore, useJdbcStore, useJdbcStore, useJournalStore, useJournalStore`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

- - ### Constructor Detail

    - #### TransactionsFraction

          public TransactionsFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static TransactionsFraction createDefaultFraction()

    - #### applyDefaults

          public TransactionsFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<TransactionsFraction>`
      Returns:
        this fraction.

    - #### port

          public TransactionsFraction port(int port)

    - #### port

          public int port()

    - #### statusPort

          public TransactionsFraction statusPort(int statusPort)

    - #### statusPort

          public int statusPort()

Copyright © 2018 JBoss by Red Hat. All rights reserved.